## kf6-kstatusnotifieritem 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KStatusNotifierItem VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(KDEGitCommitHooks)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMAddQch)
include(ECMGenerateExportHeader)
include(ECMDeprecationSettings)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(kstatusnotifieritem_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kstatusnotifieritem_version.h")
ecm_setup_version(PROJECT
  VARIABLE_PREFIX KSTATUSNOTIFIERITEM
  VERSION_HEADER "${kstatusnotifieritem_version_header}"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6StatusNotifierItemConfigVersion.cmake"

                        SOVERSION 6)

# Dependencies
set(REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6WidgetsPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

if (NOT APPLE AND NOT WIN32)
    option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
    if(NOT WITHOUT_X11)
        find_package(X11)
        set(HAVE_X11 ${X11_FOUND})
    endif()
endif()

find_package(KF6WindowSystem ${KF_DEP_VERSION} REQUIRED)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    set(HAVE_DBUS TRUE)
endif()

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_install_po_files_as_qm(poqm)

ecm_set_disabled_deprecation_versions(
    QT 6.8
    KF 6.11
)

add_subdirectory(src)

# For the Python bindings
find_package(Python3 3.9 COMPONENTS Interpreter Development)
find_package(Shiboken6)
find_package(PySide6)

include(CMakeDependentOption)
cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")

if (BUILD_PYTHON_BINDINGS)
    include(ECMGeneratePythonBindings)
    add_subdirectory(python)
endif()

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6StatusNotifierItem")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6StatusNotifierItem_QCH
        FILE KF6StatusNotifierItemQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6StatusNotifierItemQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6StatusNotifierItemConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6StatusNotifierItemConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6StatusNotifierItemConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6StatusNotifierItemConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6StatusNotifierItemTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF6StatusNotifierItemTargets.cmake NAMESPACE KF6:: )

install(FILES
   ${kstatusnotifieritem_version_header}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KStatusNotifierItem COMPONENT Devel
)

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

## kf6-kstatusnotifieritem 6.3.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:57:09 +0200

kf6-kstatusnotifieritem (6.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1068521)

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 02:00:45 +0200

=== debian/control ===
Source: kf6-kstatusnotifieritem
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
Rules-Requires-Root: no

Package: libkf6statusnotifieritem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - translations
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the data files.

Package: libkf6statusnotifieritem-dev
Section: libdevel
Architecture: any
Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
Description: Implementation of Status Notifier Items - development files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the development files.

Package: libkf6statusnotifieritem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - documentation files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the qch documentation files.

Package: libkf6statusnotifieritem6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libkf6statusnotifieritem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Implementation of Status Notifier Items
 KStatusNotifierItem provides a framework for status notifier items.

## kf6-kstatusnotifieritem 6.6.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:40 +0100

kf6-kstatusnotifieritem (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:27 +0100

kf6-kstatusnotifieritem (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,8 +10,8 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6windowsystem-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6windowsystem-dev (>= 6.6.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),
@@ -18,8 +19,8 @@
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data

## kf6-kstatusnotifieritem 6.9.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:51 +0000

kf6-kstatusnotifieritem (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:23 +0000

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6windowsystem-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6windowsystem-dev (>= 6.9.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),

## kf6-kstatusnotifieritem 6.10.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:24:41 +0100

kf6-kstatusnotifieritem (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:10:24 +0100

kf6-kstatusnotifieritem (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

kf6-kstatusnotifieritem (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:10:05 +0200

kf6-kstatusnotifieritem (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 6.5.0.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:06 +0200

kf6-kstatusnotifieritem (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.9.0~),
-               libkf6windowsystem-dev (>= 6.9.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6windowsystem-dev (>= 6.10.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files

## kf6-kstatusnotifieritem 6.11.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:23:15 +0100

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,8 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6windowsystem-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6windowsystem-dev (>= 6.11.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.6.0~),

## kf6-kstatusnotifieritem 6.12.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:54:36 +0000

kf6-kstatusnotifieritem (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:49:54 +0000

kf6-kstatusnotifieritem (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:09 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6windowsystem-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6windowsystem-dev (>= 6.12.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON

## kf6-kstatusnotifieritem 6.13.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6windowsystem-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6windowsystem-dev (>= 6.13.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.6.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files

## kf6-kstatusnotifieritem 6.16.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:47:34 +0100

kf6-kstatusnotifieritem (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.
  * debian/rules: Do not build python bindings.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:13 +0100

kf6-kstatusnotifieritem (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6windowsystem-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6windowsystem-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -35,7 +36,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files

## kf6-kstatusnotifieritem 6.17.0

=== debian/changelog ===
kf6-kstatusnotifieritem (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6windowsystem-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6windowsystem-dev (>= 6.17.0~),
                libxkbcommon-dev,
                pkgconf,
                qt6-base-dev (>= 6.5.0+dfsg~),

## kf6-kstatusnotifieritem 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KStatusNotifierItem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,14 +22,11 @@
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMPoQmTools)
-include(ECMAddQch)
 include(ECMGenerateExportHeader)
 include(ECMDeprecationSettings)
+include(ECMGenerateQDoc)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 set(kstatusnotifieritem_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kstatusnotifieritem_version.h")
 ecm_setup_version(PROJECT
@@ -40,13 +37,9 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
-
-if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
-    find_package(Qt6WidgetsPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
-endif()
 
 if (NOT APPLE AND NOT WIN32)
     option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
@@ -75,20 +68,26 @@
 ecm_install_po_files_as_qm(poqm)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8
-    KF 6.11
+    QT 6.10
+    KF 6.17
 )
 
+option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)
+
+# Only Linux and FreeBSD CI has the relevant packages
+if (ANDROID OR APPLE OR WIN32 OR HAIKU OR NOT BUILD_SHARED_LIBS)
+    set(BUILD_PYTHON_BINDINGS OFF)
+endif()
+
+if (BUILD_PYTHON_BINDINGS)
+    find_package(Python3 3.9 REQUIRED COMPONENTS Interpreter Development)
+    find_package(Shiboken6 REQUIRED)
+    find_package(PySide6 REQUIRED)
+endif()
+
+add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
+
 add_subdirectory(src)
-
-# For the Python bindings
-find_package(Python3 3.9 COMPONENTS Interpreter Development)
-find_package(Shiboken6)
-find_package(PySide6)
-
-include(CMakeDependentOption)
-cmake_dependent_option(BUILD_PYTHON_BINDINGS "Generate Python Bindings" ON "TARGET Shiboken6::libshiboken AND TARGET PySide6::pyside6" OFF)
-add_feature_info(PYTHON_BINDINGS ${BUILD_PYTHON_BINDINGS} "Python bindings")
 
 if (BUILD_PYTHON_BINDINGS)
     include(ECMGeneratePythonBindings)
@@ -101,16 +100,6 @@
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6StatusNotifierItem")
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6StatusNotifierItem_QCH
-        FILE KF6StatusNotifierItemQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6StatusNotifierItemQchTargets.cmake\")")
-endif()
 
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
kf6-kstatusnotifieritem (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Do not build Python-bindings.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:17:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: kf6-kstatusnotifieritem
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6windowsystem-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6windowsystem-dev (>= 6.18.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-base-dev (>= 6.7.0~),
                qt6-base-private-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kstatusnotifieritem
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
 Rules-Requires-Root: no
 
 Package: libkf6statusnotifieritem-data
@@ -36,7 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
 Description: Implementation of Status Notifier Items - development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DBUILD_TESTING=ON -DBUILD_PYTHON_BINDINGS=OFF

## kf6-kstatusnotifieritem 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KStatusNotifierItem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -69,7 +69,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.17
+    KF 6.18
 )
 
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

=== src/CMakeLists.txt ===
add_library(KF6StatusNotifierItem)
add_library(KF6::StatusNotifierItem ALIAS KF6StatusNotifierItem)

set_target_properties(KF6StatusNotifierItem PROPERTIES
    VERSION     ${KSTATUSNOTIFIERITEM_VERSION}
    SOVERSION   ${KSTATUSNOTIFIERITEM_SOVERSION}
    EXPORT_NAME StatusNotifierItem
)

ecm_create_qm_loader(KF6StatusNotifierItem kstatusnotifieritem6_qt)

target_sources(KF6StatusNotifierItem PRIVATE
    kstatusnotifieritem.cpp
)

if(APPLE)
    target_sources(KF6StatusNotifierItem PRIVATE
            macutils.mm)
endif()

if (HAVE_DBUS)
  target_sources(KF6StatusNotifierItem PRIVATE
    kstatusnotifieritemdbus_p.cpp
  )
endif()

ecm_qt_declare_logging_category(KF6StatusNotifierItem
    HEADER debug_p.h
    IDENTIFIER LOG_KSTATUSNOTIFIERITEM
    CATEGORY_NAME kf.statusnotifieritem
    DESCRIPTION "KStatusNotifierItem"
    EXPORT KSTATUSNOTIFIERITEM
)

if (HAVE_DBUS)
   set(HAVE_DBUSMENUQT 1)
   qt_add_dbus_adaptor(dbusmenu_qt_SRCS
     libdbusmenu-qt/com.canonical.dbusmenu.xml
     libdbusmenu-qt/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
   )

   target_sources(KF6StatusNotifierItem PRIVATE
     ${dbusmenu_qt_SRCS}
     libdbusmenu-qt/dbusmenuexporter.cpp
     libdbusmenu-qt/dbusmenuexporterdbus_p.cpp
     libdbusmenu-qt/dbusmenu_p.cpp
     libdbusmenu-qt/dbusmenushortcut_p.cpp
     libdbusmenu-qt/dbusmenutypes_p.cpp
     libdbusmenu-qt/utils.cpp
     libdbusmenu-qt/dbusmenuexporterdbus_p.h
     libdbusmenu-qt/dbusmenuexporter.h
     libdbusmenu-qt/dbusmenuexporterprivate_p.h
     libdbusmenu-qt/dbusmenu_p.h
     libdbusmenu-qt/dbusmenushortcut_p.h
     libdbusmenu-qt/dbusmenutypes_p.h
     libdbusmenu-qt/debug_p.h
     libdbusmenu-qt/utils_p.h
  )

  set(kstatusnotifieritem_dbus_SRCS)
  qt_add_dbus_adaptor(kstatusnotifieritem_dbus_SRCS     org.kde.StatusNotifierItem.xml
                    kstatusnotifieritemdbus_p.h KStatusNotifierItemDBus)


  set(statusnotifierwatcher_xml org.kde.StatusNotifierWatcher.xml)
  qt_add_dbus_interface(kstatusnotifieritem_dbus_SRCS ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)
  set(notifications_xml org.freedesktop.Notifications.xml)
  qt_add_dbus_interface(kstatusnotifieritem_dbus_SRCS ${notifications_xml} notifications_interface)
  target_sources(KF6StatusNotifierItem PRIVATE ${kstatusnotifieritem_dbus_SRCS})
endif()

configure_file(config-kstatusnotifieritem.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kstatusnotifieritem.h )

ecm_generate_export_header(KF6StatusNotifierItem
    EXPORT_FILE_NAME kstatusnotifieritem_export.h
    BASE_NAME KStatusNotifierItem
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 6.6
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF6StatusNotifierItem INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KStatusNotifierItem>")

target_link_libraries(KF6StatusNotifierItem PUBLIC Qt6::Gui Qt6::Widgets)

if (HAVE_DBUS)
   target_link_libraries(KF6StatusNotifierItem PUBLIC Qt6::DBus)
endif()

if (TARGET KF6::WindowSystem)
    target_link_libraries(KF6StatusNotifierItem PRIVATE KF6::WindowSystem)
endif()

if(APPLE)
  target_link_libraries(KF6StatusNotifierItem PRIVATE "-framework Foundation" "-framework AppKit")
endif()

ecm_generate_headers(KStatusNotifierItem_HEADERS
  HEADER_NAMES
  KStatusNotifierItem

  REQUIRED_HEADERS KStatusNotifierItem_HEADERS
)

install(TARGETS KF6StatusNotifierItem EXPORT KF6StatusNotifierItemTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kstatusnotifieritem_export.h
  ${KStatusNotifierItem_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KStatusNotifierItem COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KSTATUSNOTIFIERITEM
    FILE kstatusnotifieritem.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

ecm_generate_qdoc(KF6StatusNotifierItem kstatusnotifieritem.qdocconf)

if (HAVE_DBUS)
    install(FILES
        org.kde.StatusNotifierItem.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf6_org.kde.StatusNotifierItem.xml)

    install(FILES
        org.kde.StatusNotifierWatcher.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf6_org.kde.StatusNotifierWatcher.xml)
endif()

=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0-0zneon+24.04+noble+release+build22) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:05:33 +0000

kf6-kstatusnotifieritem (6.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 07:07:10 +0000

kf6-kstatusnotifieritem (6.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 13:00:32 +0000

kf6-kstatusnotifieritem (6.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Aug 2025 00:27:59 +0000

kf6-kstatusnotifieritem (6.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jul 2025 06:42:46 +0000

kf6-kstatusnotifieritem (6.15.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jun 2025 06:00:48 +0000

kf6-kstatusnotifieritem (6.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 May 2025 10:43:44 +0000

kf6-kstatusnotifieritem (6.13.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 13 Apr 2025 02:10:07 +0000

kf6-kstatusnotifieritem (6.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Mar 2025 00:42:05 +0000

kf6-kstatusnotifieritem (6.11.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 21 Feb 2025 12:53:02 +1000

kf6-kstatusnotifieritem (6.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 12:10:17 +0000

kf6-kstatusnotifieritem (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2024 10:37:38 +0000

kf6-kstatusnotifieritem (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Nov 2024 00:40:43 +0000

kf6-kstatusnotifieritem (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 15:35:21 +0000

kf6-kstatusnotifieritem (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 21 Sep 2024 03:42:13 +0000

kf6-kstatusnotifieritem (6.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Aug 2024 12:48:31 +0000

kf6-kstatusnotifieritem (6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Jul 2024 06:45:08 +0000

kf6-kstatusnotifieritem (6.3.0-1neon) noble; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Thu, 13 Jun 2024 14:33:12 +1000

kf6-kstatusnotifieritem (6.3.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Jun 2024 04:01:48 +0000

kf6-kstatusnotifieritem (6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 17 Nov 2023 01:18:08 +0000

kf6-kstatusnotifieritem (0.0.0-0neon) unstable; urgency=medium

  * Initial release

 -- KDE Neon <neon@kde.org>  Thu, 17 Aug 2023 11:08:01 +1000

=== debian/control ===
Source: kf6-kstatusnotifieritem
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               doxygen,
               flex,
               graphviz,
               kde-qdoc-common-dev,
               kf6-extra-cmake-modules,
               kf6-kwindowsystem-dev,
               libclang-dev,
               libpyside6-dev,
               libpython3-dev,
               libshiboken6-dev,
               pkg-kde-tools-neon,
               pyside6-tools,
               python3-build,
               python3-dev,
               qt6-base-dev,
               qt6-tools-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
Vcs-Git: https://invent.kde.org/neon/kf6/kf6-kstatusnotifieritem.git
Vcs-Browser: https://invent.kde.org/neon/kf6/kf6-kstatusnotifieritem
Maintainer: Neon CI <neon@kde.org>

Package: kf6-kstatusnotifieritem
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: python3, python3-pyside6.qtcore, ${misc:Depends}, ${shlibs:Depends}
Description: Implementation of Status Notifier Items
 Framework for status notifier items.
 .
 This package contains the libraries and binaries.

Package: kf6-kstatusnotifieritem-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-kstatusnotifieritem (= ${binary:Version}),
         kf6-kwindowsystem-dev,
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: development files for kf6-kstatusnotifieritem
 Framework for status notifier items.
 .
 This package contains the development header files for kf6-kstatusnotifieritem.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/kstatusnotifieritem-(.*)\.tar\.xz

## kf6-kstatusnotifieritem 6.19.0+p24.04+vstable+git20251008.1106

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_VERSION "6.20.0") # handled by release scripts
 set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KStatusNotifierItem VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vstable+git20251008.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:06:03 +0000

## kf6-kstatusnotifieritem 6.19.0+p24.04+vstable+git20251021.0540

=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vstable+git20251021.0540-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:40:41 +0000

## kf6-kstatusnotifieritem 6.19.0+p24.04+vunstable+git20251008.1106

=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vunstable+git20251008.1106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 08 Oct 2025 11:06:11 +0000

## kf6-kstatusnotifieritem 6.19.0+p24.04+vunstable+git20251020.0220

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,7 +37,7 @@
                         SOVERSION 6)
 
 # Dependencies
-set(REQUIRED_QT_VERSION 6.7.0)
+set(REQUIRED_QT_VERSION 6.8.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)

=== debian/changelog ===
kf6-kstatusnotifieritem (6.19.0+p24.04+vunstable+git20251020.0220-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 02:20:56 +0000

## kf6-kstatusnotifieritem 6.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(KF_VERSION "6.20.0") # handled by release scripts
-set(KF_DEP_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KStatusNotifierItem VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.19.0  NO_MODULE)
+find_package(ECM 6.20.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -69,7 +69,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10
-    KF 6.18
+    KF 6.19
 )
 
 option(BUILD_PYTHON_BINDINGS "Build Python bindings" ON)

=== debian/changelog ===
kf6-kstatusnotifieritem (6.20.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.20.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Nov 2025 19:25:07 +0100

=== debian/control ===
Source: kf6-kstatusnotifieritem
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.20.0~),
               libkf6windowsystem-dev (>= 6.20.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.8.0~),
               qt6-base-private-dev (>= 6.5.0+dfsg~),
               qt6-tools-dev (>= 6.5.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/frameworks/kstatusnotifieritem
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kstatusnotifieritem.git
Rules-Requires-Root: no

Package: libkf6statusnotifieritem-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - translations
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the data files.

Package: libkf6statusnotifieritem-dev
Section: libdevel
Architecture: any
Depends: libkf6statusnotifieritem6 (= ${binary:Version}),
         qt6-base-dev (>= 6.8.0~),
         ${misc:Depends},
Recommends: libkf6statusnotifieritem-doc (= ${source:Version}),
Description: Implementation of Status Notifier Items - development files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the development files.

Package: libkf6statusnotifieritem-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Implementation of Status Notifier Items - documentation files
 KStatusNotifierItem provides a framework for status notifier items.
 .
 This package contains the qch documentation files.

Package: libkf6statusnotifieritem6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: libkf6statusnotifieritem-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Implementation of Status Notifier Items
 KStatusNotifierItem provides a framework for status notifier items.

## kf6-kstatusnotifieritem 6.20.0+p24.04+vunstable+git20251202.0727

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.20.0") # handled by release scripts
+set(KF_VERSION "6.21.0") # handled by release scripts
 set(KF_DEP_VERSION "6.20.0") # handled by release scripts
 project(KStatusNotifierItem VERSION ${KF_VERSION})

=== debian/changelog ===
kf6-kstatusnotifieritem (6.20.0+p24.04+vunstable+git20251202.0727-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 07:27:43 +0000

kf6-kstatusnotifieritem (6.20.0-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 22 Nov 2025 15:33:45 +1000

## kf6-kstatusnotifieritem 6.20.0+p24.04+vunstable+git20251206.0217

=== debian/changelog ===
kf6-kstatusnotifieritem (6.20.0+p24.04+vunstable+git20251206.0217-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 02:17:14 +0000
